org.apache.felix.utils.repository

## Class BaseRepository

- java.lang.Object
- - org.apache.felix.utils.repository.BaseRepository

All Implemented Interfaces:
  org.osgi.service.repository.Repository

Direct Known Subclasses:
  JsonRepository, XmlRepository

    public class BaseRepository
    extends Object
    implements org.osgi.service.repository.Repository

### Field Summary

Fields
`protected Map<String,CapabilitySet>` `capSets`
`protected List<org.osgi.resource.Resource>` `resources`

### Fields inherited from interface org.osgi.service.repository.Repository

`URL`

### Constructor Summary

Constructors
Constructor and Description
`BaseRepository()`
`BaseRepository(Collection<org.osgi.resource.Resource> resources)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addResource(org.osgi.resource.Resource resource)`
`Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>>` `findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)`
`List<org.osgi.resource.Resource>` `getResources()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### resources

    protected final List<org.osgi.resource.Resource> resources

#### capSets

    protected final Map<String,CapabilitySet> capSets

### Constructor Detail

#### BaseRepository

    public BaseRepository()

#### BaseRepository

    public BaseRepository(Collection<org.osgi.resource.Resource> resources)

### Method Detail

#### addResource

    protected void addResource(org.osgi.resource.Resource resource)

#### getResources

    public List<org.osgi.resource.Resource> getResources()

#### findProviders

    public Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>> findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)

Specified by:
  `findProviders` in interface `org.osgi.service.repository.Repository`